org.modeshape.sequencer.teiid.model

## Class DiagramModelObjectHandler

- java.lang.Object
- - org.modeshape.sequencer.teiid.model.ModelObjectHandler
  - - org.modeshape.sequencer.teiid.model.DiagramModelObjectHandler

-     public final class DiagramModelObjectHandler
      extends ModelObjectHandler

  The model object handler for the `diagram` namespace. Currently diagram objects are not sequenced.

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.sequencer.teiid.model.ModelObjectHandler

      `LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiagramModelObjectHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `process(XmiElement element, Node node)`

    - ### Methods inherited from class org.modeshape.sequencer.teiid.model.ModelObjectHandler

      `addNode, addNode, addPropertyValue, addPropertyValue, getContext, getMedHelper, getQName, getReader, getResolver, getVdbModel, setBooleanProperty, setContext, setProperty, setReader, setResolver, setVdbModel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DiagramModelObjectHandler

          public DiagramModelObjectHandler()

  - ### Method Detail

    - #### process

          protected void process(XmiElement element,
                     Node node)
                          throws Exception

      Specified by:
        `process` in class `ModelObjectHandler`
      Parameters:
        `element` - the element being processed (cannot be `null`)
        `node` - the parent node to use if a node is created for the element (cannot be `null`)
      Throws:
        `Exception` - if there is a problem processing the XMI element
      See Also:
        `ModelObjectHandler.process(org.modeshape.sequencer.teiid.xmi.XmiElement, javax.jcr.Node)`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.